Package twisted :: Package runner :: Module inetd

[show private | hide private]
[frames | no frames]

## Module twisted.runner.inetd

Twisted inetd.

Stability: semi-stable

Maintainer: Andrew Bennetts<spiv@twistedmatrix.com>

Future Plans: Bugfixes. Specifically for UDP and Sun-RPC, which don't work correctly yet.

Classes
`InetdFactory` |
`InetdProtocol` | Forks a child process on connectionMade, passing the socket as fd 0.

Function Summary
| ``forkPassingFD`(exe, args, env, user, group, fdesc)` Run exe as a child process, passing fdesc as fd 0.
| `main(options)`

Variable Summary
`dictionary` | `internalProtocols`
`FakeModule` | `portmap`
`dictionary` | `protocolDict`
`SelectReactor` | `reactor`
`int` | `rpcOk`

Function Details

### forkPassingFD(exe, args, env, user, group, fdesc)

Run exe as a child process, passing fdesc as fd 0.

This will also make sure that fdesc is removed from the parent's reactor.

Variable Details

### internalProtocols

  Type:
    `dictionary`
  Value:

        {'chargen': <class twisted.protocols.wire.Chargen at 0x87c9c94>,
         'daytime': <class twisted.protocols.wire.Daytime at 0x87c9ea4>,
         'discard': <class twisted.protocols.wire.Discard at 0x87228a4>,
         'echo': <class twisted.protocols.wire.Echo at 0x881257c>,
         'time': <class twisted.protocols.wire.Time at 0x87c9f44>}

### portmap

  Type:
    `FakeModule`
  Value:

        <Fake portmap>

### protocolDict

  Type:
    `dictionary`
  Value:

        {'tcp': 6, 'udp': 17}

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

### rpcOk

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:18:07 2003 | http://epydoc.sf.net